Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.html.dom
Class HTMLFormElementImpl

    java.lang.Object
      |
      +--weblogic.apache.xerces.dom.NodeImpl
            |
            +--weblogic.apache.xerces.dom.ChildNode
                  |
                  +--weblogic.apache.xerces.dom.ParentNode
                        |
                        +--weblogic.apache.xerces.dom.ElementImpl
                              |
                              +--weblogic.apache.html.dom.HTMLElementImpl
                                    |
                                    +--weblogic.apache.html.dom.HTMLFormElementImpl

public class HTMLFormElementImpl
extends HTMLElementImpl
implements org.w3c.dom.html.HTMLFormElement

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Revision: 1.5 $ $Date: 2001/01/30 23:57:55 $
Author:
  Assaf Arkin
See Also:
  `HTMLFormElement`, `ElementImpl`, Serialized Form

Fields inherited from class weblogic.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class weblogic.apache.xerces.dom.ParentNode
`fCachedChild, fCachedChildIndex, fCachedLength, firstChild, ownerDocument`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, UNNORMALIZED`

Constructor Summary
`HTMLFormElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`java.lang.String` | `getAcceptCharset()`
`java.lang.String` | `getAction()`
`org.w3c.dom.NodeList` | `getChildNodes()`
`org.w3c.dom.html.HTMLCollection` | `getElements()`
`java.lang.String` | `getEnctype()`
`int` | `getLength()`
`java.lang.String` | `getMethod()`
`java.lang.String` | `getName()`
`java.lang.String` | `getTarget()`
`void` | `reset()`
`void` | `setAcceptCharset(java.lang.String acceptCharset)`
`void` | `setAction(java.lang.String action)`
`void` | `setEnctype(java.lang.String enctype)`
`void` | `setMethod(java.lang.String method)`
`void` | `setName(java.lang.String name)`
`void` | `setTarget(java.lang.String target)`
`void` | `submit()`

Methods inherited from class weblogic.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class weblogic.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class weblogic.apache.xerces.dom.ParentNode
`getChildNodesUnoptimized, getFirstChild, getLastChild, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, isSupported, removeEventListener, setNodeValue, setPrefix, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTMLFormElementImpl

    public HTMLFormElementImpl(HTMLDocumentImpl owner,
                               java.lang.String name)

  Constructor requires owner document.

  Parameters:
    `owner` - The owner HTML document

Method Detail

### getElements

    public org.w3c.dom.html.HTMLCollection getElements()

  Specified by:
    getElements in interface org.w3c.dom.html.HTMLFormElement

### getLength

    public int getLength()

  Specified by:
    getLength in interface org.w3c.dom.html.HTMLFormElement

  Overrides:
    getLength in class ParentNode

### getName

    public java.lang.String getName()

  Specified by:
    getName in interface org.w3c.dom.html.HTMLFormElement

### setName

    public void setName(java.lang.String name)

  Specified by:
    setName in interface org.w3c.dom.html.HTMLFormElement

### getAcceptCharset

    public java.lang.String getAcceptCharset()

  Specified by:
    getAcceptCharset in interface org.w3c.dom.html.HTMLFormElement

### setAcceptCharset

    public void setAcceptCharset(java.lang.String acceptCharset)

  Specified by:
    setAcceptCharset in interface org.w3c.dom.html.HTMLFormElement

### getAction

    public java.lang.String getAction()

  Specified by:
    getAction in interface org.w3c.dom.html.HTMLFormElement

### setAction

    public void setAction(java.lang.String action)

  Specified by:
    setAction in interface org.w3c.dom.html.HTMLFormElement

### getEnctype

    public java.lang.String getEnctype()

  Specified by:
    getEnctype in interface org.w3c.dom.html.HTMLFormElement

### setEnctype

    public void setEnctype(java.lang.String enctype)

  Specified by:
    setEnctype in interface org.w3c.dom.html.HTMLFormElement

### getMethod

    public java.lang.String getMethod()

  Specified by:
    getMethod in interface org.w3c.dom.html.HTMLFormElement

### setMethod

    public void setMethod(java.lang.String method)

  Specified by:
    setMethod in interface org.w3c.dom.html.HTMLFormElement

### getTarget

    public java.lang.String getTarget()

  Specified by:
    getTarget in interface org.w3c.dom.html.HTMLFormElement

### setTarget

    public void setTarget(java.lang.String target)

  Specified by:
    setTarget in interface org.w3c.dom.html.HTMLFormElement

### submit

    public void submit()

  Specified by:
    submit in interface org.w3c.dom.html.HTMLFormElement

### reset

    public void reset()

  Specified by:
    reset in interface org.w3c.dom.html.HTMLFormElement

### getChildNodes

    public org.w3c.dom.NodeList getChildNodes()

  Overrides:
    getChildNodes in class ParentNode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference